List AI agents
GET
/api/v1/workspaces/{workspace_id}/ai_agents
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/ai_agents?per=10&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/ai_agents?per=10&page=1' \ --header 'Authorization: Bearer <token>'Retrieves the AI agents
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
Query Parameters
Section titled “Query Parameters”per
integer
Number of records per page
page
integer
Page number
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
name
required
string
company_name
required
string
company_overview
required
string
tone
required
string
guidelines
required
string
brand_guidelines_document_name
required
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{ "results": [ { "id": 12345, "name": "My AI Agent", "company_name": "My Company", "company_overview": "My Company is a company that makes widgets.", "tone": "My Company is a company that makes widgets.", "guidelines": "My Company is a company that makes widgets.", "brand_guidelines_document_name": "My Company Brand Guidelines", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z" } ], "pagination": { "per": 10, "page": 1, "total": 100 }}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}